Index: /trunk/demos/CircleFollower/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 400)
+++ /trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 401)
@@ -4,5 +4,4 @@
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
Index: /trunk/demos/Gps/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/Gps/uav/CMakeLists.txt	(revision 400)
+++ /trunk/demos/Gps/uav/CMakeLists.txt	(revision 401)
@@ -4,5 +4,4 @@
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
 
Index: /trunk/demos/MixedReality/real/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/MixedReality/real/uav/CMakeLists.txt	(revision 400)
+++ /trunk/demos/MixedReality/real/uav/CMakeLists.txt	(revision 401)
@@ -4,7 +4,7 @@
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
+
 include($ENV{FLAIR_ROOT}/flair-src/cmake-modules/GlobalCmakeFlair.cmake)
 
Index: /trunk/demos/MixedReality/virtual/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/MixedReality/virtual/uav/CMakeLists.txt	(revision 400)
+++ /trunk/demos/MixedReality/virtual/uav/CMakeLists.txt	(revision 401)
@@ -4,5 +4,4 @@
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
Index: /trunk/demos/PidStandalone/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/PidStandalone/uav/CMakeLists.txt	(revision 400)
+++ /trunk/demos/PidStandalone/uav/CMakeLists.txt	(revision 401)
@@ -4,5 +4,4 @@
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
 
Index: /trunk/demos/SimpleFleet/uav/CMakeLists.txt
===================================================================
--- /trunk/demos/SimpleFleet/uav/CMakeLists.txt	(revision 400)
+++ /trunk/demos/SimpleFleet/uav/CMakeLists.txt	(revision 401)
@@ -4,5 +4,4 @@
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
 SET(FLAIR_USE_VRPN TRUE)
Index: /trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt
===================================================================
--- /trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt	(revision 400)
+++ /trunk/demos/Skeletons/CustomReferenceAngles/CMakeLists.txt	(revision 401)
@@ -4,5 +4,4 @@
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
 
Index: /trunk/demos/Skeletons/CustomTorques/CMakeLists.txt
===================================================================
--- /trunk/demos/Skeletons/CustomTorques/CMakeLists.txt	(revision 400)
+++ /trunk/demos/Skeletons/CustomTorques/CMakeLists.txt	(revision 401)
@@ -4,5 +4,4 @@
 SET(FLAIR_USE_FILTER TRUE)
 SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
-SET(FLAIR_USE_VISION_FILTER TRUE)
 SET(FLAIR_USE_META TRUE)
 
Index: /trunk/lib/FlairCore/src/Image.cpp
===================================================================
--- /trunk/lib/FlairCore/src/Image.cpp	(revision 400)
+++ /trunk/lib/FlairCore/src/Image.cpp	(revision 401)
@@ -64,4 +64,12 @@
 void Image::RawRead(char *dst) const { Warn("non implementé\n"); }
 
+char* Image::AllocFunction(ssize_t size) {
+  return allocFunction(size);
+}
+
+void Image::FreeFunction(char* buffer) {
+ freeFunction(buffer); 
+}
+
 void Image::RegisterAllocFunction(char*(*func)(ssize_t size)) {
   if(allocFunction==DefaultAllocFunction) allocFunction=func;
Index: /trunk/lib/FlairCore/src/Image.h
===================================================================
--- /trunk/lib/FlairCore/src/Image.h	(revision 400)
+++ /trunk/lib/FlairCore/src/Image.h	(revision 401)
@@ -111,4 +111,6 @@
   static void RegisterAllocFunction(char*(*func)(ssize_t size));
   static void RegisterFreeFunction(void(*func)(char* buffer));
+  static char* AllocFunction(ssize_t size);
+  static void FreeFunction(char* buffer);
 
 private:
Index: /trunk/lib/FlairSensorActuator/src/V4LCamera_impl.cpp
===================================================================
--- /trunk/lib/FlairSensorActuator/src/V4LCamera_impl.cpp	(revision 400)
+++ /trunk/lib/FlairSensorActuator/src/V4LCamera_impl.cpp	(revision 401)
@@ -29,5 +29,4 @@
 #include <cstring>
 #include <sys/mman.h>
-#include <VisionFilter.h>
 
 using std::string;
@@ -104,8 +103,8 @@
   if(useMemoryUsrPtr) {
     for (int i = 0; i < nbBuffers; i++) {
-      FreeFunction((char*)buffers[i]);
+      Image::FreeFunction((char*)buffers[i]);
     }
   } else {
-      FreeFunction(imageData);
+      Image::FreeFunction(imageData);
   }
   close(device);
@@ -212,5 +211,5 @@
 
   //allocate output data
-  imageData = AllocFunction(self->output->GetDataType().GetSize());
+  imageData = Image::AllocFunction(self->output->GetDataType().GetSize());
   //Printf("cmem allocated %i at %x\n",output->GetDataType().GetSize(),imageData);
 
@@ -237,5 +236,5 @@
 
   for (int i=0; i<nbBuffers; i++) {
-    buffers[i] =AllocFunction(self->output->GetDataType().GetSize());
+    buffers[i] =Image::AllocFunction(self->output->GetDataType().GetSize());
   }
 