Index: /trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.xml
===================================================================
--- /trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.xml	(revision 403)
+++ /trunk/demos/MixedReality/real/simulator/resources/core2-64/simulator_x4.xml	(revision 404)
@@ -16,5 +16,5 @@
     <DoubleSpinBox value="-3.5" name="z:"/>
     <SpinBox value="90" name="yaw (deg):"/>
-   <Vector3DSpinBox name="position" value_x="0.0" value_y="0.00" value_z="-1.00"/></Tab>
+   <Vector3DSpinBox name="position" value_x="0" value_y="0" value_z="-1"/></Tab>
    <Tab name="model">
     <DoubleSpinBox value="1.2" name="mass (kg):"/>
@@ -77,5 +77,5 @@
     <DoubleSpinBox value="70" name="fov:"/>
    <Vector3DSpinBox name="position" value_x="0" value_y="0" value_z="0"/><Vector3DSpinBox name="direction" value_x="1.00" value_y="0.00" value_z="0.00"/><Vector3DSpinBox name="up" value_x="0.00" value_y="0.00" value_z="-1.00"/></Tab>
-  </TabWidget>
+  <Tab name="visual"><SpinBox name="arm color (R):" value="255"/><SpinBox name="arm color (G):" value="0"/><SpinBox name="arm color (B):" value="0"/></Tab></TabWidget>
  </Tab>
  <Tab name="target">
Index: /trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh
===================================================================
--- /trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh	(revision 403)
+++ /trunk/demos/MixedReality/real/uav/resources/core2-64/x4.sh	(revision 404)
@@ -9,3 +9,3 @@
 . $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu0 -v 127.0.0.1:3884
+$EXEC -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu0 -v 127.0.0.1:3884 -d 20010
Index: /trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.xml
===================================================================
--- /trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.xml	(revision 403)
+++ /trunk/demos/MixedReality/virtual/simulator/resources/core2-64/simulator_x4.xml	(revision 404)
@@ -77,5 +77,5 @@
     <DoubleSpinBox value="70" name="fov:"/>
    <Vector3DSpinBox name="position" value_x="0" value_y="0" value_z="0"/><Vector3DSpinBox name="direction" value_x="1.00" value_y="0.00" value_z="0.00"/><Vector3DSpinBox name="up" value_x="0.00" value_y="0.00" value_z="-1.00"/></Tab>
-  </TabWidget>
+  <Tab name="visual"><SpinBox name="arm color (R):" value="0"/><SpinBox name="arm color (G):" value="255"/><SpinBox name="arm color (B):" value="0"/></Tab></TabWidget>
  </Tab>
  <Tab name="target">
@@ -99,4 +99,4 @@
   </TabWidget>
 </Tab>
-  <Tab name="Drone_0"><DoubleSpinBox name="arm length (m):" value="0.20"/></Tab></TabWidget>
+  <Tab name="Drone_0"><DoubleSpinBox name="arm length (m):" value="0.2"/></Tab><Tab name="vrpn"><TabWidget name="vrpn"><Tab name="Reglages"><GroupBox name="post rotation 1"><DoubleSpinBox name="value" value="0"/><ComboBox name="axis" value="0"/></GroupBox><GroupBox name="post rotation 2"><DoubleSpinBox name="value" value="0"/><ComboBox name="axis" value="0"/></GroupBox></Tab><Tab name="Mesures Drone_0"><DataPlot1D name="x" period="100" enabled="0"/><DataPlot1D name="y" period="100" enabled="0"/><DataPlot1D name="z" period="100" enabled="0"/></Tab></TabWidget></Tab></TabWidget>
 <TabWidget name="App_TabWidget"><Tab name="simulator"><PushButton name="save config on target" value="1"/></Tab></TabWidget><PushButton name="save config on target (simulator)" value="1"/><PushButton name="save config on target (simulator_simu)" value="1"/></root>
Index: /trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh
===================================================================
--- /trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh	(revision 403)
+++ /trunk/demos/MixedReality/virtual/uav/resources/core2-64/x4.sh	(revision 404)
@@ -9,3 +9,3 @@
 . $FLAIR_ROOT/flair-src/scripts/distribution_specific_hack.sh
 
-$EXEC -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu0 -v 127.0.0.1:3884
+$EXEC -a 127.0.0.1 -p 9000 -l /tmp -x setup_x4.xml -t x4_simu1