Index: /trunk/demos/CircleFollower/uav/resources/core2-64/setup_x4_intelaero.xml
===================================================================
--- /trunk/demos/CircleFollower/uav/resources/core2-64/setup_x4_intelaero.xml	(revision 426)
+++ /trunk/demos/CircleFollower/uav/resources/core2-64/setup_x4_intelaero.xml	(revision 427)
@@ -24,5 +24,5 @@
             <PushButton name="test motor 3" value="1"/>
           </GroupBox>
-        </Tab>
+        <DoubleSpinBox name="permanent trim roll" value="0"/><DoubleSpinBox name="permanent trim pitch" value="-0.05"/></Tab>
         <Tab name="Values">
           <DataPlot1D name="front left" period="100" enabled="0"/>
@@ -109,7 +109,7 @@
             <DoubleSpinBox name="trim" value="0.01"/>
             <Label name="trim roll"/>
-            <PushButton name="reset roll trim"/>
+            <PushButton name="reset roll trim" value="1"/>
             <Label name="trim pitch"/>
-            <PushButton name="reset pitch trim"/>
+            <PushButton name="reset pitch trim" value="1"/>
           </GroupBox>
         </Tab>
@@ -123,10 +123,10 @@
         <PushButton name="take_off"/>
         <PushButton name="land"/>
-        <PushButton name="start_circle"/>
+        <PushButton name="start_circle" value="1"/>
         <PushButton name="stop_circle"/>
         <PushButton name="position hold"/>
       </GridLayout>
       <GroupBox name="takeoff/landing">
-        <DoubleSpinBox name="desired takeoff altitude" value="1.0"/>
+        <DoubleSpinBox name="desired takeoff altitude" value="1"/>
         <DoubleSpinBox name="desired landing altitude" value="0"/>
       </GroupBox>
@@ -165,7 +165,7 @@
             <DoubleSpinBox name="period, 0 for auto" value="0"/>
             <DoubleSpinBox name="kp:" value="0.15"/>
-            <DoubleSpinBox name="ki:" value="0.020"/>
+            <DoubleSpinBox name="ki:" value="0.02"/>
             <DoubleSpinBox name="sat i:" value="0.15"/>
-            <DoubleSpinBox name="kd:" value="0.070"/>
+            <DoubleSpinBox name="kd:" value="0.07"/>
             <DoubleSpinBox name="offset g:" value="0.5"/>
             <DoubleSpinBox name="sat:" value="1"/>
@@ -174,17 +174,17 @@
           <GroupBox name="u_x">
             <DoubleSpinBox name="period, 0 for auto" value="0"/>
-            <DoubleSpinBox name="kp:" value="0"/>
+            <DoubleSpinBox name="kp:" value="0.400"/>
             <DoubleSpinBox name="ki:" value="0"/>
             <DoubleSpinBox name="sat i:" value="0"/>
-            <DoubleSpinBox name="kd:" value="0"/>
-            <DoubleSpinBox name="sat:" value="0"/>
+            <DoubleSpinBox name="kd:" value="0.200"/>
+            <DoubleSpinBox name="sat:" value="0.40"/>
           </GroupBox>
           <GroupBox name="u_y">
             <DoubleSpinBox name="period, 0 for auto" value="0"/>
-            <DoubleSpinBox name="kp:" value="0"/>
+            <DoubleSpinBox name="kp:" value="0.400"/>
             <DoubleSpinBox name="ki:" value="0"/>
             <DoubleSpinBox name="sat i:" value="0"/>
-            <DoubleSpinBox name="kd:" value="0"/>
-            <DoubleSpinBox name="sat:" value="0"/>
+            <DoubleSpinBox name="kd:" value="0.200"/>
+            <DoubleSpinBox name="sat:" value="0.40"/>
           </GroupBox>
         </Tab>
@@ -234,7 +234,7 @@
         </Tab>
         <Tab name="Mesures x4_0">
-          <DataPlot1D name="x" period="100" enabled="0"/>
-          <DataPlot1D name="y" period="100" enabled="0"/>
-          <DataPlot1D name="z" period="100" enabled="0"/>
+          <DataPlot1D name="x" period="100" enabled="1"/>
+          <DataPlot1D name="y" period="100" enabled="1"/>
+          <DataPlot1D name="z" period="100" enabled="1"/>
           <DataPlot1D name="vx" period="100" enabled="0"/>
           <DataPlot1D name="vy" period="100" enabled="0"/>
@@ -257,5 +257,5 @@
       </TabWidget>
     </Tab>
-  <Tab name="intelaero-imu"><TabWidget name="intelaero-imu"><Tab name="Reglages"><GroupBox name="intelaero-imu"/></Tab><Tab name="AHRS"><DataPlot1D name="roll" period="100" enabled="1"/><DataPlot1D name="pitch" period="100" enabled="1"/><DataPlot1D name="yaw" period="100" enabled="1"/><DataPlot1D name="w_x" period="100" enabled="1"/><DataPlot1D name="w_y" period="100" enabled="1"/><DataPlot1D name="w_z" period="100" enabled="1"/></Tab><Tab name="Quaternion"><DataPlot1D name="q0" period="100" enabled="0"/><DataPlot1D name="q1" period="100" enabled="0"/><DataPlot1D name="q2" period="100" enabled="0"/><DataPlot1D name="q3" period="100" enabled="0"/></Tab><Tab name="IMU"><DataPlot1D name="acc_x" period="100" enabled="0"/><DataPlot1D name="acc_y" period="100" enabled="0"/><DataPlot1D name="acc_z" period="100" enabled="0"/><DataPlot1D name="gyr_x" period="100" enabled="0"/><DataPlot1D name="gyr_y" period="100" enabled="0"/><DataPlot1D name="gyr_z" period="100" enabled="0"/><DataPlot1D name="mag_x" period="100" enabled="0"/><DataPlot1D name="mag_y" period="100" enabled="0"/><DataPlot1D name="mag_z" period="100" enabled="0"/></Tab></TabWidget></Tab><Tab name="leddarone"><TabWidget name="leddarone"><Tab name="Reglages"><GroupBox name="leddarone"/><GroupBox name="Passe bas"><DoubleSpinBox name="period, 0 for auto" value="0.02"/><DoubleSpinBox name="cutoff frequency" value="4"/></GroupBox><GroupBox name="Vz"><DoubleSpinBox name="period, 0 for auto:" value="0.02"/><DoubleSpinBox name="saturation, -1 to disable:" value="-1"/></GroupBox><GroupBox name="Passe bas v"><DoubleSpinBox name="period, 0 for auto" value="0.02"/><DoubleSpinBox name="cutoff frequency" value="4"/></GroupBox><GroupBox name="KalmanAltitude"><DoubleSpinBox name="R0:" value="0.5"/><DoubleSpinBox name="Q0:" value="0.1"/><DoubleSpinBox name="Q1:" value="10"/></GroupBox></Tab><Tab name="Mesures"><DataPlot1D name="leddarone" period="100" enabled="1"/><DataPlot1D name="vz" period="100" enabled="1"/></Tab></TabWidget></Tab></TabWidget>
+  <Tab name="intelaero-imu"><TabWidget name="intelaero-imu"><Tab name="Reglages"><GroupBox name="intelaero-imu"/></Tab><Tab name="AHRS"><DataPlot1D name="roll" period="100" enabled="1"/><DataPlot1D name="pitch" period="100" enabled="1"/><DataPlot1D name="yaw" period="100" enabled="1"/><DataPlot1D name="w_x" period="100" enabled="1"/><DataPlot1D name="w_y" period="100" enabled="1"/><DataPlot1D name="w_z" period="100" enabled="1"/></Tab><Tab name="Quaternion"><DataPlot1D name="q0" period="100" enabled="0"/><DataPlot1D name="q1" period="100" enabled="0"/><DataPlot1D name="q2" period="100" enabled="0"/><DataPlot1D name="q3" period="100" enabled="0"/></Tab><Tab name="IMU"><DataPlot1D name="acc_x" period="100" enabled="0"/><DataPlot1D name="acc_y" period="100" enabled="0"/><DataPlot1D name="acc_z" period="100" enabled="0"/><DataPlot1D name="gyr_x" period="100" enabled="0"/><DataPlot1D name="gyr_y" period="100" enabled="0"/><DataPlot1D name="gyr_z" period="100" enabled="0"/><DataPlot1D name="mag_x" period="100" enabled="0"/><DataPlot1D name="mag_y" period="100" enabled="0"/><DataPlot1D name="mag_z" period="100" enabled="0"/></Tab></TabWidget></Tab><Tab name="leddarone"><TabWidget name="leddarone"><Tab name="Reglages"><GroupBox name="leddarone"/><GroupBox name="Passe bas"><DoubleSpinBox name="period, 0 for auto" value="0.02"/><DoubleSpinBox name="cutoff frequency" value="4"/></GroupBox><GroupBox name="Vz"><DoubleSpinBox name="period, 0 for auto:" value="0.02"/><DoubleSpinBox name="saturation, -1 to disable:" value="-1"/></GroupBox><GroupBox name="Passe bas v"><DoubleSpinBox name="period, 0 for auto" value="0.02"/><DoubleSpinBox name="cutoff frequency" value="4"/></GroupBox><GroupBox name="KalmanAltitude"><DoubleSpinBox name="R0:" value="0.5"/><DoubleSpinBox name="Q0:" value="0.1"/><DoubleSpinBox name="Q1:" value="10"/></GroupBox></Tab><Tab name="Mesures"><DataPlot1D name="leddarone" period="100" enabled="1"/><DataPlot1D name="vz" period="100" enabled="1"/></Tab></TabWidget></Tab><Tab name="gps_ned"><DataPlot1D name="x" period="100" enabled="0"/><DataPlot1D name="y" period="100" enabled="0"/><DataPlot1D name="z" period="100" enabled="0"/><DataPlot1D name="vx" period="100" enabled="0"/><DataPlot1D name="vy" period="100" enabled="0"/><DataPlot1D name="vz" period="100" enabled="0"/></Tab></TabWidget>
   <PushButton name="save config on target (x4_0)" value="1"/>
 </root>