Index: trunk/tools/FlairGCS/src/ConnectionLayout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/ConnectionLayout.cpp	(revision 435)
+++ trunk/tools/FlairGCS/src/ConnectionLayout.cpp	(revision 436)
@@ -9,11 +9,16 @@
 #include "communication.h"
 
-ConnectionLayout::ConnectionLayout(UdtSocket *socket, QString name)
+ConnectionLayout::ConnectionLayout(UdtSocket *socket, QString name, QTime startTime)
     : Layout(NULL, name, "root") {
   this->socket = socket;
   this->name = name;
+  this->startTime = startTime;
 }
 
 ConnectionLayout::~ConnectionLayout() {
+}
+
+QTime ConnectionLayout::GetStartTime(void) {
+    return startTime;
 }
 
Index: trunk/tools/FlairGCS/src/ConnectionLayout.h
===================================================================
--- trunk/tools/FlairGCS/src/ConnectionLayout.h	(revision 435)
+++ trunk/tools/FlairGCS/src/ConnectionLayout.h	(revision 436)
@@ -7,4 +7,5 @@
 
 #include "Layout.h"
+#include <QTime>
 
 class UdtSocket;
@@ -15,5 +16,5 @@
 
 public:
-  ConnectionLayout(UdtSocket *socket, QString name);
+  ConnectionLayout(UdtSocket *socket, QString name, QTime startTime);
   ~ConnectionLayout();
   void XmlToSend(QDomDocument doc);
@@ -23,5 +24,6 @@
   QString getName();
   static QString getDocRootName(char* buf, int size);
-
+  QTime GetStartTime(void);
+  
 private:
   void drawDatas(char *buf, int buf_size, uint16_t period,
@@ -30,4 +32,5 @@
   UdtSocket *socket;
   QList<DataRemote *> dataremotes;
+  QTime startTime;
   
 private slots:
Index: trunk/tools/FlairGCS/src/DataPlot1D.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DataPlot1D.cpp	(revision 435)
+++ trunk/tools/FlairGCS/src/DataPlot1D.cpp	(revision 436)
@@ -4,8 +4,10 @@
 // %flair:license}
 #include "DataPlot1D.h"
+#include "ConnectionLayout.h"
 #include "Layout.h"
 #include <QMouseEvent>
 #include <QMenu>
 #include <QGridLayout>
+#include <QTime>
 #include <qendian.h>
 
@@ -16,4 +18,5 @@
 
   setEnabled(enabled);
+  ResetElapsedTime((float)connectionLayout()->GetStartTime().msecsTo(QTime::currentTime())/1000.);
   parent->addWidget(this, row, col);
   visible_widget = this;
@@ -25,4 +28,6 @@
 
 void DataPlot1D::XmlEvent(QDomElement *dom) {
+  bool previouslyEnabled=IsEnabled();
+  
   if (dom->attribute("curve") != "") {
     QString type = dom->attribute("type");
@@ -46,4 +51,7 @@
     XmlSetup(dom);
   }
+  
+    if(previouslyEnabled!=IsEnabled() && IsEnabled()) 
+        ResetElapsedTime((float)connectionLayout()->GetStartTime().msecsTo(QTime::currentTime())/1000.);
 }
 
@@ -132,5 +140,5 @@
     if (action == clear)
       clearCurves();
-
+        
     return true;
   }
Index: trunk/tools/FlairGCS/src/DataRemote.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DataRemote.cpp	(revision 435)
+++ trunk/tools/FlairGCS/src/DataRemote.cpp	(revision 436)
@@ -7,5 +7,4 @@
 #include <QInputDialog>
 #include <QtXml>
-#include "Manager.h"
 #include "ConnectionLayout.h"
 
@@ -48,6 +47,4 @@
 
   action = menu->exec(point);
-
-  // auto_refresh=b->isChecked();
 
   if (action == autoRefresh) {
Index: trunk/tools/FlairGCS/src/Manager.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Manager.cpp	(revision 435)
+++ trunk/tools/FlairGCS/src/Manager.cpp	(revision 436)
@@ -104,4 +104,6 @@
   connect(timer, SIGNAL(timeout()), this, SLOT(acceptConnections()));
   timer->start(500);
+  
+  startTime=QTime::currentTime();
 }
 
@@ -147,5 +149,5 @@
   UdtSocket* udtSocket=(UdtSocket *)sender();
   
-  ConnectionLayout *newLayout = new ConnectionLayout(udtSocket, name);
+  ConnectionLayout *newLayout = new ConnectionLayout(udtSocket, name, startTime);
   connect(udtSocket, SIGNAL(UDTStats(QString,QString,bool)), newLayout, SIGNAL(UDTStats(QString,QString,bool)));//connection in 2 steps to get udtsocket as sender
   connect(newLayout, SIGNAL(UDTStats(QString,QString,bool)), this, SLOT(printUDTStats(QString,QString,bool)));
Index: trunk/tools/FlairGCS/src/Manager.h
===================================================================
--- trunk/tools/FlairGCS/src/Manager.h	(revision 435)
+++ trunk/tools/FlairGCS/src/Manager.h	(revision 436)
@@ -8,4 +8,5 @@
 #include <QWidget>
 #include <QIcon>
+#include <QTime>
 #include <udt.h>
 #include <qdom.h>
@@ -48,4 +49,5 @@
   QStatusBar *status;
   QIcon icon_red,icon_green,icon_orange;
+  QTime startTime;
 
 private slots: