Index: /trunk/lib/FlairCore/src/DoubleSpinBox.cpp
===================================================================
--- /trunk/lib/FlairCore/src/DoubleSpinBox.cpp	(revision 436)
+++ /trunk/lib/FlairCore/src/DoubleSpinBox.cpp	(revision 437)
@@ -24,5 +24,5 @@
 
 DoubleSpinBox::DoubleSpinBox(const LayoutPosition *position, string name,
-                             double min, double max, double step, int decimals,
+                             double min, double max, double step, uint16_t decimals,
                              double default_value)
     : Box(position, name, "DoubleSpinBox") {
@@ -46,5 +46,5 @@
 DoubleSpinBox::DoubleSpinBox(const LayoutPosition *position, string name,
                              string suffix, double min, double max, double step,
-                             int decimals, double default_value)
+                             uint16_t decimals, double default_value)
     : Box(position, name, "DoubleSpinBox") {
   // update value from xml file
Index: /trunk/lib/FlairCore/src/DoubleSpinBox.h
===================================================================
--- /trunk/lib/FlairCore/src/DoubleSpinBox.h	(revision 436)
+++ /trunk/lib/FlairCore/src/DoubleSpinBox.h	(revision 437)
@@ -43,5 +43,5 @@
   */
   DoubleSpinBox(const LayoutPosition *position, std::string name, double min,
-                double max, double step, int decimals = 2,
+                double max, double step, uint16_t decimals = 2,
                 double default_value = 0);
 
@@ -63,5 +63,5 @@
   DoubleSpinBox(const LayoutPosition *position, std::string name,
                 std::string suffix, double min, double max, double step,
-                int decimals = 2, double default_value = 0);
+                uint16_t decimals = 2, double default_value = 0);
 
   /*!
Index: /trunk/lib/FlairCore/src/SendData.cpp
===================================================================
--- /trunk/lib/FlairCore/src/SendData.cpp	(revision 436)
+++ /trunk/lib/FlairCore/src/SendData.cpp	(revision 437)
@@ -30,5 +30,5 @@
 
 SendData::SendData(const LayoutPosition *position, string name, string type,
-                   uint16_t default_periodms, bool default_enabled)
+                   uint16_t default_periodms, bool default_enabled, uint16_t default_nb_buffering)
     : Widget(position->getLayout(), name, type) {
   pimpl_ = new SendData_impl();
@@ -39,4 +39,5 @@
   pimpl_->send_period = default_periodms;
   pimpl_->is_enabled = default_enabled;
+  pimpl_->nb_buffering = default_nb_buffering;
 
   SetVolatileXmlProp("row", position->Row());
@@ -46,4 +47,6 @@
   GetPersistentXmlProp("enabled", pimpl_->is_enabled);
   SetPersistentXmlProp("enabled", pimpl_->is_enabled);
+  GetPersistentXmlProp("nb_buf", pimpl_->nb_buffering);
+  SetPersistentXmlProp("nb_buf", pimpl_->nb_buffering);
 
   delete position;
@@ -67,13 +70,17 @@
 
 void SendData::XmlEvent(void) {
-  uint16_t send_period;
+  uint16_t send_period,nb_buffering;
   bool is_enabled;
   bool something_changed = false;
 
-  if (GetPersistentXmlProp("period", send_period) &&
-      GetPersistentXmlProp("enabled", is_enabled)) {
+  if (GetPersistentXmlProp("period", send_period) && GetPersistentXmlProp("enabled", is_enabled) && GetPersistentXmlProp("nb_buf", nb_buffering)) {
     if (send_period != SendPeriod())
       something_changed = true;
     if (is_enabled != IsEnabled())
+      something_changed = true;
+  }
+  
+  if (GetPersistentXmlProp("nb_buf", nb_buffering)) {
+    if (nb_buffering != NbBuffering())
       something_changed = true;
   }
@@ -84,4 +91,5 @@
     SetSendPeriod(send_period);
     SetEnabled(is_enabled);
+    SetNbBuffering(nb_buffering);
 
     getFrameworkManager()->UpdateSendData(this);
@@ -91,4 +99,5 @@
     SetVolatileXmlProp("period", send_period);
     SetVolatileXmlProp("enabled", is_enabled);
+    SetVolatileXmlProp("nb_buf", nb_buffering);
     SendXml();
 
@@ -102,4 +111,6 @@
 
 uint16_t SendData::SendPeriod(void) const { return pimpl_->send_period; }
+
+uint16_t SendData::NbBuffering(void) const { return pimpl_->nb_buffering; }
 
 bool SendData::IsEnabled(void) const { return pimpl_->is_enabled; }
@@ -116,4 +127,6 @@
 void SendData::SetSendPeriod(uint16_t value) { pimpl_->send_period = value; }
 
+void SendData::SetNbBuffering(uint16_t value) { pimpl_->nb_buffering = value; }
+
 } // end namespace core
 } // end namespace flair
Index: /trunk/lib/FlairCore/src/SendData.h
===================================================================
--- /trunk/lib/FlairCore/src/SendData.h	(revision 436)
+++ /trunk/lib/FlairCore/src/SendData.h	(revision 437)
@@ -34,5 +34,5 @@
   */
   SendData(const LayoutPosition *position, std::string name, std::string type,
-           uint16_t default_periodms = 100, bool default_enabled = false);
+           uint16_t default_periodms = 100, bool default_enabled = false, uint16_t default_nb_buffering=1);
 
   /*!
@@ -54,4 +54,5 @@
   uint16_t SendPeriod(void) const; // in ms
   bool IsEnabled(void) const;
+  uint16_t NbBuffering(void) const;
 
 protected:
@@ -88,4 +89,5 @@
 
   void SetSendPeriod(uint16_t value);
+  void SetNbBuffering(uint16_t value);
   void SetEnabled(bool value);
 
Index: /trunk/lib/FlairCore/src/Vector3DSpinBox.cpp
===================================================================
--- /trunk/lib/FlairCore/src/Vector3DSpinBox.cpp	(revision 436)
+++ /trunk/lib/FlairCore/src/Vector3DSpinBox.cpp	(revision 437)
@@ -26,5 +26,5 @@
 Vector3DSpinBox::Vector3DSpinBox(const LayoutPosition *position, string name,
                                  double min, double max, double step,
-                                 int decimals, core::Vector3Df default_value)
+                                 uint16_t decimals, core::Vector3Df default_value)
     : Box(position, name, "Vector3DSpinBox") {
   // update value from xml file
Index: /trunk/lib/FlairCore/src/Vector3DSpinBox.h
===================================================================
--- /trunk/lib/FlairCore/src/Vector3DSpinBox.h	(revision 436)
+++ /trunk/lib/FlairCore/src/Vector3DSpinBox.h	(revision 437)
@@ -43,5 +43,5 @@
   */
   Vector3DSpinBox(const LayoutPosition *position, std::string name, double min,
-                  double max, double step, int decimals = 2,
+                  double max, double step, uint16_t decimals = 2,
                   core::Vector3Df default_value = core::Vector3Df(0, 0, 0));
 
Index: /trunk/lib/FlairCore/src/unexported/SendData_impl.h
===================================================================
--- /trunk/lib/FlairCore/src/unexported/SendData_impl.h	(revision 436)
+++ /trunk/lib/FlairCore/src/unexported/SendData_impl.h	(revision 437)
@@ -30,4 +30,5 @@
   size_t send_size;
   uint16_t send_period;
+  uint16_t nb_buffering;
 };
 
Index: /trunk/tools/FlairGCS/src/ComboBox.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/ComboBox.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/ComboBox.cpp	(revision 437)
@@ -8,5 +8,5 @@
 #include <QFormLayout>
 
-ComboBox::ComboBox(Layout *parent, int row, int col, QString name, int value)
+ComboBox::ComboBox(Layout *parent, int row, int col, QString name, uint16_t value)
     : FormLayout(parent, row, col, name, "ComboBox") {
   combobox = new QComboBox();
Index: /trunk/tools/FlairGCS/src/ComboBox.h
===================================================================
--- /trunk/tools/FlairGCS/src/ComboBox.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/ComboBox.h	(revision 437)
@@ -15,10 +15,10 @@
 
 public:
-  ComboBox(Layout *parent, int row, int col, QString name, int value);
+  ComboBox(Layout *parent, int row, int col, QString name, uint16_t value);
   ~ComboBox();
 
 private:
   QComboBox *combobox;
-  int combobox_value;
+  uint16_t combobox_value;
   void XmlEvent(QDomElement *dom);
   void SetUptodate(void);
Index: /trunk/tools/FlairGCS/src/DataPlot1D.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/DataPlot1D.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/DataPlot1D.cpp	(revision 437)
@@ -13,7 +13,7 @@
 
 DataPlot1D::DataPlot1D(Layout *parent, int row, int col, QString title,
-                       float ymin, float ymax, bool enabled, int period)
+                       float ymin, float ymax, bool enabled, uint16_t period, uint16_t nb_buffering)
     : ScopeFixedStep(title, ymin, ymax, period / 1000.),
-      DataRemote(title, "DataPlot1D", parent, enabled, period) {
+      DataRemote(title, "DataPlot1D", parent, enabled, period, nb_buffering) {
 
   setEnabled(enabled);
Index: /trunk/tools/FlairGCS/src/DataPlot1D.h
===================================================================
--- /trunk/tools/FlairGCS/src/DataPlot1D.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/DataPlot1D.h	(revision 437)
@@ -15,5 +15,5 @@
 public:
   DataPlot1D(Layout *parent, int row, int col, QString title, float ymin,
-             float ymax, bool enabled, int period);
+             float ymax, bool enabled, uint16_t period, uint16_t nb_buffering=1);
   ~DataPlot1D();
 
Index: /trunk/tools/FlairGCS/src/DataPlot2D.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/DataPlot2D.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/DataPlot2D.cpp	(revision 437)
@@ -22,6 +22,6 @@
 DataPlot2D::DataPlot2D(Layout *parent, int row, int col, QString plot_name,
                        QString x_name, QString y_name, float xmin, float xmax,
-                       float ymin, float ymax, bool enabled, int period)
-    : DataRemote(plot_name, "DataPlot2D", parent, enabled, period) {
+                       float ymin, float ymax, bool enabled, uint16_t period, uint16_t nb_buffering)
+    : DataRemote(plot_name, "DataPlot2D", parent, enabled, period, nb_buffering) {
   plot = new QwtPlot(NULL);
   plot->setEnabled(enabled);
Index: /trunk/tools/FlairGCS/src/DataPlot2D.h
===================================================================
--- /trunk/tools/FlairGCS/src/DataPlot2D.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/DataPlot2D.h	(revision 437)
@@ -22,5 +22,5 @@
   DataPlot2D(Layout *parent, int row, int col, QString plot_name,
              QString x_name, QString y_name, float xmin, float xmax, float ymin,
-             float ymax, bool enabled, int period);
+             float ymax, bool enabled, uint16_t period, uint16_t nb_buffering=1);
   ~DataPlot2D();
   void addCurve(QPen pen, QString legend, QString type);
Index: /trunk/tools/FlairGCS/src/DataRemote.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/DataRemote.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/DataRemote.cpp	(revision 437)
@@ -10,5 +10,5 @@
 
 DataRemote::DataRemote(QString name, QString type, XmlWidget *parent,
-                       bool enabled, int period)
+                       bool enabled, uint16_t period, uint16_t nb_buffering)
     : XmlWidget(name, type, parent) {
   auto_refresh = enabled;
@@ -16,5 +16,6 @@
   receivesize = 0;
   refresh_rate = (double)period / 1000.;
-
+  this->nb_buffering=nb_buffering;
+  
   connectionLayout()->addDataRemote(this);
 
@@ -28,11 +29,15 @@
   menu->addSeparator();
 
-  autoRefresh = menu->addAction("auto refresh");
-  autoRefresh->setCheckable(true);
-  autoRefresh->setChecked(auto_refresh);
+  SetAutoRefresh = menu->addAction("auto refresh");
+  SetAutoRefresh->setCheckable(true);
+  SetAutoRefresh->setChecked(auto_refresh);
 
   setRefreshRate = menu->addAction(QString("set refresh rate (%1ms)")
                           .arg((uint16_t)(qRound(refresh_rate * 1000))));
   setRefreshRate->setEnabled(auto_refresh);
+  
+  menu->addSeparator();
+  setNbBuffering = menu->addAction(QString("set nb buffering (%1)").arg(nb_buffering));
+  
 /*  menu->addSeparator();
 
@@ -48,6 +53,6 @@
   action = menu->exec(point);
 
-  if (action == autoRefresh) {
-    SendPeriod(RefreshRate_ms(), autoRefresh->isChecked());
+  if (action == SetAutoRefresh) {
+    SendPeriod(RefreshRate_ms(), SetAutoRefresh->isChecked());
   }
 
@@ -58,7 +63,18 @@
         parent, "Set refresh rate ", "Value (ms):",
         (uint16_t)(qRound(refresh_rate * 1000)), 1, 65535, 10, &ok);
-    if (ok == true && time != qRound(refresh_rate * 1000)) {
+    if (ok  && time != qRound(refresh_rate * 1000)) {
       // refresh_rate=time/1000.;
-      SendPeriod(time, autoRefresh->isChecked());
+      SendPeriod(time, SetAutoRefresh->isChecked());
+    }
+  }
+  
+  if (action == setNbBuffering) {
+    bool ok;
+  
+    uint16_t nb_buffering = QInputDialog::getInt(
+        parent, "Set nb buffering ", "Value :",
+        this->nb_buffering, 1, 65535, 10, &ok);
+    if (ok  && nb_buffering !=this->nb_buffering) {
+      SendNbBuffering(nb_buffering);
     }
   }
@@ -73,5 +89,5 @@
 bool DataRemote::IsEnabled(void) { return auto_refresh; }
 
-void DataRemote::SendPeriod(int period, bool auto_refresh) {
+void DataRemote::SendPeriod(uint16_t period, bool auto_refresh) {
   RemoveAllAttributes();
 
@@ -83,8 +99,17 @@
 }
 
+void DataRemote::SendNbBuffering(uint16_t nb_buffering) {
+    RemoveAllAttributes();
+
+    SetAttribute("nb_buf", nb_buffering);
+    connectionLayout()->XmlToSend(XmlDoc());
+    RemoveAttribute("nb_buf");
+}
+
 int DataRemote::ReceiveSize(void) { return receivesize; }
 
 void DataRemote::XmlSetup(QDomElement *dom) {
-  refresh_rate = dom->attribute("period").toInt() / 1000.;
+  refresh_rate = dom->attribute("period").toUShort() / 1000.;
+  nb_buffering = dom->attribute("nb_buf").toUShort();
   if (dom->attribute("enabled") == "1")
     auto_refresh = true;
Index: /trunk/tools/FlairGCS/src/DataRemote.h
===================================================================
--- /trunk/tools/FlairGCS/src/DataRemote.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/DataRemote.h	(revision 437)
@@ -16,5 +16,5 @@
 public:
   DataRemote(QString name, QString type, XmlWidget *parent, bool enabled,
-             int period);
+             uint16_t period, uint16_t nb_buffering=1);
   ~DataRemote();
   uint16_t RefreshRate_ms(void);
@@ -31,10 +31,12 @@
   double refresh_rate; // en s
   int receivesize;
+  uint16_t nb_buffering;
 
   void XmlSetup(QDomElement *dom);
 
 private:
-  void SendPeriod(int period, bool auto_refresh);
-  QAction *autoRefresh, *setRefreshRate;
+  void SendPeriod(uint16_t period, bool auto_refresh);
+  void SendNbBuffering(uint16_t nb_buffering);
+  QAction *SetAutoRefresh, *setRefreshRate,*setNbBuffering;
   //QAction **log;//todo implement this feature (log directly in gcs, in case of uav program crash)
 };
Index: /trunk/tools/FlairGCS/src/DoubleSpinBox.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/DoubleSpinBox.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/DoubleSpinBox.cpp	(revision 437)
@@ -13,5 +13,5 @@
 DoubleSpinBox::DoubleSpinBox(Layout *parent, int row, int col, QString name,
                              QString suffix, QString value, float min,
-                             float max, float step, int decimals)
+                             float max, float step, uint16_t decimals)
     : FormLayout(parent, row, col, name, "DoubleSpinBox") {
   doublespinbox = new QDoubleSpinBox();
Index: /trunk/tools/FlairGCS/src/DoubleSpinBox.h
===================================================================
--- /trunk/tools/FlairGCS/src/DoubleSpinBox.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/DoubleSpinBox.h	(revision 437)
@@ -17,5 +17,5 @@
   // handle value as string, becouse double value are not exact
   DoubleSpinBox(Layout *parent, int row, int col, QString name, QString suffix,
-                QString value, float min, float max, float step, int decimals);
+                QString value, float min, float max, float step, uint16_t decimals);
   ~DoubleSpinBox();
 
Index: /trunk/tools/FlairGCS/src/Layout.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/Layout.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/Layout.cpp	(revision 437)
@@ -127,5 +127,5 @@
     double max = dom->attribute("max").toDouble();
     double step = dom->attribute("step").toDouble();
-    int decimals = dom->attribute("decimals").toInt();
+    uint16_t decimals = dom->attribute("decimals").toUShort();
     widget = new DoubleSpinBox(this, row, col, name, suffix, value, min, max,
                                step, decimals);
@@ -139,5 +139,5 @@
     double max = dom->attribute("max").toDouble();
     double step = dom->attribute("step").toDouble();
-    int decimals = dom->attribute("decimals").toInt();
+    uint16_t decimals = dom->attribute("decimals").toUShort();
     widget = new Vector3DSpinBox(this, row, col, name, value, min, max, step,
                                  decimals);
@@ -148,5 +148,5 @@
   }
   if (type == "ComboBox") {
-    int value = dom->attribute("value").toInt();
+    uint16_t value = dom->attribute("value").toUShort();
     widget = new ComboBox(this, row, col, name, value);
   }
@@ -158,9 +158,10 @@
     float ymax = dom->attribute("max").toFloat();
     int enabled = dom->attribute("enabled").toInt();
-    int period = dom->attribute("period").toInt();
-    if (enabled == 1) {
-      widget = new DataPlot1D(this, row, col, name, ymin, ymax, true, period);
-    } else {
-      widget = new DataPlot1D(this, row, col, name, ymin, ymax, false, 100);
+    uint16_t period = dom->attribute("period").toUShort();
+    uint16_t nb_buffering = dom->attribute("nb_buf").toUShort();
+    if (enabled == 1) {
+      widget = new DataPlot1D(this, row, col, name, ymin, ymax, true, period,nb_buffering);
+    } else {
+      widget = new DataPlot1D(this, row, col, name, ymin, ymax, false, 100,nb_buffering);
     }
   }
@@ -173,11 +174,12 @@
     QString y_name = dom->attribute("y_name");
     int enabled = dom->attribute("enabled").toInt();
-    int period = dom->attribute("period").toInt();
+    uint16_t period = dom->attribute("period").toUShort();
+    uint16_t nb_buffering = dom->attribute("nb_buf").toUShort();
     if (enabled == 1) {
       widget = new DataPlot2D(this, row, col, name, x_name, y_name, xmin, xmax,
-                              ymin, ymax, true, period);
+                              ymin, ymax, true, period,nb_buffering);
     } else {
       widget = new DataPlot2D(this, row, col, name, x_name, y_name, xmin, xmax,
-                              ymin, ymax, false, 100);
+                              ymin, ymax, false, 100,nb_buffering);
     }
   }
@@ -187,5 +189,5 @@
     QString y_name = dom->attribute("y_name");
     int enabled = dom->attribute("enabled").toInt();
-    int period = dom->attribute("period").toInt();
+    uint16_t period = dom->attribute("period").toUShort();
     QString type = dom->attribute("type");
     int samples = dom->attribute("samples").toInt();
@@ -210,5 +212,5 @@
     uint32_t nb_samples = dom->attribute("nb_samples").toUInt();
     int enabled = dom->attribute("enabled").toInt();
-    int period = dom->attribute("period").toInt();
+    uint16_t period = dom->attribute("period").toUShort();
     int invert_axis = dom->attribute("invert_axis").toInt();
     bool invert_axis_bool;
@@ -234,5 +236,5 @@
     int height = dom->attribute("height").toInt();
     int enabled = dom->attribute("enabled").toInt();
-    int period = dom->attribute("period").toInt();
+    uint16_t period = dom->attribute("period").toUShort();
     if (enabled == 1) {
       widget = new Picture(this, row, col, name, width, height, true, period);
@@ -242,5 +244,5 @@
   }
   if (type == "Map") {
-    int period = dom->attribute("period").toInt();
+    uint16_t period = dom->attribute("period").toUShort();
     int enabled = dom->attribute("enabled").toInt();
     int i = 0;
Index: /trunk/tools/FlairGCS/src/Map.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/Map.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/Map.cpp	(revision 437)
@@ -24,5 +24,5 @@
 
 Map::Map(Layout *parent, int row, int col, QString name,
-         QList<QGeoCoordinate> coordinates, bool enabled, int period)
+         QList<QGeoCoordinate> coordinates, bool enabled, uint16_t period)
     : DataRemote(name, "Map", parent, enabled, period) {
   visible_widget = new QWidget();
Index: /trunk/tools/FlairGCS/src/Map.h
===================================================================
--- /trunk/tools/FlairGCS/src/Map.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/Map.h	(revision 437)
@@ -30,5 +30,5 @@
 public:
   Map(Layout *parent, int row, int col, QString name,
-      QList<QtMobility::QGeoCoordinate> coordinates, bool enabled, int period);
+      QList<QtMobility::QGeoCoordinate> coordinates, bool enabled, uint16_t period);
   ~Map();
   void setCenteredPoint(int i);
Index: /trunk/tools/FlairGCS/src/Picture.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/Picture.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/Picture.cpp	(revision 437)
@@ -13,5 +13,5 @@
 
 Picture::Picture(Layout *parent, int row, int col, QString name, uint16_t width,
-                 uint16_t height, bool enabled, int period)
+                 uint16_t height, bool enabled, uint16_t period)
     : DataRemote(name, "Picture", parent, enabled, period) {
   box = new QGroupBox(name);
Index: /trunk/tools/FlairGCS/src/Picture.h
===================================================================
--- /trunk/tools/FlairGCS/src/Picture.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/Picture.h	(revision 437)
@@ -22,5 +22,5 @@
 public:
   Picture(Layout *parent, int row, int col, QString name, uint16_t width,
-          uint16_t height, bool enabled, int period);
+          uint16_t height, bool enabled, uint16_t period);
   ~Picture();
 
Index: /trunk/tools/FlairGCS/src/RangeFinderPlot.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/RangeFinderPlot.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/RangeFinderPlot.cpp	(revision 437)
@@ -23,5 +23,5 @@
                                  float start_angle, float end_angle,
                                  uint32_t nb_samples, QString data_type,
-                                 bool invert_axis, bool enabled, int period)
+                                 bool invert_axis, bool enabled, uint16_t period)
     : DataRemote(name, "RangeFinderPlot", parent, enabled, period) {
   invert_axis = true;
Index: /trunk/tools/FlairGCS/src/RangeFinderPlot.h
===================================================================
--- /trunk/tools/FlairGCS/src/RangeFinderPlot.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/RangeFinderPlot.h	(revision 437)
@@ -22,5 +22,5 @@
                   float ymin, float ymax, float start_angle, float end_angle,
                   uint32_t nb_samples, QString data_type, bool invert_axis,
-                  bool enabled, int period);
+                  bool enabled, uint16_t period);
   ~RangeFinderPlot();
 
Index: /trunk/tools/FlairGCS/src/UsSensorPlot.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/UsSensorPlot.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/UsSensorPlot.cpp	(revision 437)
@@ -24,5 +24,5 @@
 
 UsSensorPlot::UsSensorPlot(Layout *parent, int row, int col, QString plot_name,
-                       QString y_name, float ymin, float ymax, uint32_t nbSamples,QString datasType,bool enabled, int period)
+                       QString y_name, float ymin, float ymax, uint32_t nbSamples,QString datasType,bool enabled, uint16_t period)
     : DataRemote(plot_name, "UsSensorPlot", parent, enabled, period) {
   visible_widget = new QWidget();
Index: /trunk/tools/FlairGCS/src/UsSensorPlot.h
===================================================================
--- /trunk/tools/FlairGCS/src/UsSensorPlot.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/UsSensorPlot.h	(revision 437)
@@ -23,5 +23,5 @@
 public:
   UsSensorPlot(Layout *parent, int row, int col, QString plot_name,
-             QString y_name, float ymin,float ymax, uint32_t nbSamples,QString datasType,bool enabled, int period);
+             QString y_name, float ymin,float ymax, uint32_t nbSamples,QString datasType,bool enabled, uint16_t period);
   ~UsSensorPlot();
 
Index: /trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp
===================================================================
--- /trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp	(revision 436)
+++ /trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp	(revision 437)
@@ -13,5 +13,5 @@
 Vector3DSpinBox::Vector3DSpinBox(Layout *parent, int row, int col, QString name,
                                  QString value[3], float min, float max,
-                                 float step, int decimals)
+                                 float step, uint16_t decimals)
     : XmlWidget(name, "Vector3DSpinBox", parent) {
   for (int i = 0; i < 3; i++) {
Index: /trunk/tools/FlairGCS/src/Vector3DSpinBox.h
===================================================================
--- /trunk/tools/FlairGCS/src/Vector3DSpinBox.h	(revision 436)
+++ /trunk/tools/FlairGCS/src/Vector3DSpinBox.h	(revision 437)
@@ -20,5 +20,5 @@
   Vector3DSpinBox(Layout *parent, int row, int col, QString name,
                   QString value[3], float min, float max, float step,
-                  int decimals);
+                  uint16_t decimals);
   ~Vector3DSpinBox();
 